# TdApi.Photo (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: Photo

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.Photo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Photo

Enclosing class:
  TdApi

public static final class TdApi.Photo extends TdApi.Object
Describes a photo.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`hasStickers`
True, if stickers were added to the photo.
`TdApi.Minithumbnail`
`minithumbnail`
Photo minithumbnail; may be null.
`TdApi.PhotoSize[]`
`sizes`
Available variants of the photo, in different sizes.

## Constructor Summary

Constructors
Constructor
Description
`Photo()`
Describes a photo.
`Photo(boolean hasStickers, TdApi.Minithumbnail minithumbnail, TdApi.PhotoSize[] sizes)`
Describes a photo.
`Photo(DataInput input)`
Describes a photo.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### hasStickers

public boolean hasStickers
True, if stickers were added to the photo. The list of corresponding sticker sets can be received using getAttachedStickerSets.

### minithumbnail

public TdApi.Minithumbnail minithumbnail
Photo minithumbnail; may be null.

### sizes

public TdApi.PhotoSize[] sizes
Available variants of the photo, in different sizes.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### Photo

public Photo()
Describes a photo.

### Photo

public Photo(boolean hasStickers, TdApi.Minithumbnail minithumbnail, TdApi.PhotoSize[] sizes)
Describes a photo.

Parameters:
  `hasStickers` - boolean True, if stickers were added to the photo. The list of corresponding sticker sets can be received using getAttachedStickerSets.
  `minithumbnail` - Minithumbnail Photo minithumbnail; may be null.
  `sizes` - PhotoSize[] Available variants of the photo, in different sizes.

### Photo

public Photo(DataInput input) throws IOException
Describes a photo.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`